#
# spec file for package rubygem-websocket
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-websocket
Version:        1.2.2
Release:        4.1
%define mod_name websocket
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/imanel/websocket-ruby
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Universal Ruby library to handle WebSocket protocol
License:        MIT
Group:          Development/Languages/Ruby

%description
Universal Ruby library to handle WebSocket protocol.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md README.md" \
  -f

%gem_packages

%changelog
* Thu Apr 23 2015 coolo@suse.com
- updated to version 1.2.2
  see installed CHANGELOG.md
  [#]# 1.2.2
  - fix handshake for draft 11+ sending Sec-WebSocket-Origin instead of Origin
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.2.1
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun May 18 2014 coolo@suse.com
- updated to version 1.1.4
  - verify valid close codes according to spec
  - return error on invalid UTF-8 payload
  - expose error message
  - fix close code support
* Fri Nov 22 2013 coolo@suse.com
- updated to version 1.1.2
  - fix support for rack input that is blocking (i.e. Passenger)
* Sat Jul 20 2013 coolo@suse.com
- updated to version 1.1.1
  - fix handling close code for frames version 5+
* Tue Jun 18 2013 coolo@suse.com
- updated to version 1.1.0
  - allow raising ruby errors instead of setting `error` flag
  - allow access to handshake headers
  - add from_rack method
  - add from_hash method
  - stop extending handlers - it should improve performance for opening connection
* Tue Jan 29 2013 coolo@suse.com
- updated to version 1.0.7
  - fix requiring url under Ruby 1.9.1
  - support for Ruby 2.0.0
* Fri Dec 21 2012 coolo@suse.com
- updated to version 1.0.6
  - support text frame types instead of only symbol ones
  - support for sending masked frames
* Thu Dec 20 2012 coolo@suse.com
- updated to version 1.0.5
  - add support for close codes
* Mon Nov 26 2012 coolo@suse.com
- initial package (version 1.0.4)
